PKCS12_SAFEBAG_SET0_ATTRS(3SSL)

NAME
PKCS12_SAFEBAG_set0_attrs - Set attributes for a PKCS#12 safeBag

SYNOPSIS
 #include <openssl/pkcs12.h>

 void PKCS12_SAFEBAG_set0_attrs(PKCS12_SAFEBAG *bag, STACK_OF(X509_ATTRIBUTE) *attrs);

DESCRIPTION
PKCS12_SAFEBAG_set0_attrs() assigns the stack of X509_ATTRIBUTEs to a PKCS#12 safeBag. bag is the PKCS12_SAFEBAG to assign the attributes to.

RETURN VALUES
PKCS12_SAFEBAG_set0_attrs() does not return a value.

HISTORY
This function was added in OpenSSL 3.2.

COPYRIGHT
Copyright 2019-2024 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.